Ice Reference Documentation
<<< Previous | Slice Documentation | Next >>>

# `Glacier2::SessionManager`

## Overview

    interface SessionManager

The session manager, which is responsible for managing `Session` objects. New session objects are created by the `Router` object calling on an application-provided session manager. If no session manager is provided by the application, no client-visible sessions are passed to the client.

### See Also

`Router`, `Session`

### Operation Index

`create`

  Create a new session.

## `create`

    Session* create(string userId)
        throws
    	CannotCreateSessionException;

Create a new session.

### Parameters

`userId`

  The user id for the session.

### Return Value

A proxy to the newly created session.

### Exceptions

`CannotCreateSessionException`

  Raised if the session cannot be created.

<<< Previous | Home | Next >>>
`Glacier2::Session` | Up | `Glacier2::SessionNotExistException`